#ifndef _EDITPROFILESTYLE_H
#define _EDITPROFILESTYLE_H

#include <QDialog>


namespace Ui {
class EditProfileStyle;
}

class EditProfileStyle : public QDialog
{
    Q_OBJECT

signals:
    void entry_changed();

public:
    explicit EditProfileStyle(int id, QWidget *parent = 0);
    ~EditProfileStyle();

private slots:
    void on_saveButton_clicked();
    void on_quitButton_clicked();
    void on_deleteButton_clicked();
    void is_changed();
    void ogmin_changed();
    void ogmax_changed();
    void fgmin_changed();
    void fgmax_changed();
    void ibumin_changed();
    void ibumax_changed();
    void ebcmin_changed();
    void ebcmax_changed();
    void co2min_changed();
    void co2max_changed();
    void abvmin_changed();
    void abvmax_changed();

private:
    Ui::EditProfileStyle *ui;
    int recno;
    bool textIsChanged = false;

    void WindowTitle();
};

#endif
